package ossj.common.cbe;

import javax.xml.bind.annotation.adapters.XmlAdapter;

import javax.oss.cbe.CBEManagedEntityKey;

/**
 *
 * @author pm200800
 */
public class CBEManagedEntityKeyAdapter extends XmlAdapter<CBEManagedEntityKeyImpl,CBEManagedEntityKey>{
    
    public CBEManagedEntityKey unmarshal(CBEManagedEntityKeyImpl p) throws Exception {
        try {
            CBEManagedEntityKey r = p;
            return r;
        }
        catch (Exception e)
        {
            e.printStackTrace();
            String msg = "Unable to unmarshall CBEManagedEntityKey : "+p;
            throw new Exception(msg+" due to "+e);   
        }                
    }

    public CBEManagedEntityKeyImpl marshal(CBEManagedEntityKey p) throws Exception {
        try {
            CBEManagedEntityKeyImpl r = (CBEManagedEntityKeyImpl)p;
            return r;
        }
        catch (Exception e)
        {
            e.printStackTrace();
            String msg = "Unable to marshall CBEManagedEntityKeyImpl : "+p;
            throw new Exception(msg+" due to "+e);   
        } 
    }
    
}
